#include <allegro.h>

#include "target.h"
#include "line.h"

extern int side;

class Squirrel : public Target {
public:	
	static int num;	
		
	Squirrel(float _xp, float _yp, float _rp, float _R, bool _flip = 0);		
		
	void draw2();
	
	bool collide(Ball *b);
	void move(float d);						
	
	static BITMAP *squirrel;
	
	float joy;		
	
	int count;
	bool going;
	float pos;
	float steptime;
	Line *line;	
	
	float xhome;
	float yhome;
	float rhome;
	
	int lifes;
	
	bool out;	
	bool invading;
};